
QGIS Application - Bug report #14169

Crash when clicking "save as..." when the source file is CSV or SHP

2016-01-25 09:18 PM - Shai Efrati

Status: Closed

Priority: Normal

Assignee:

Category: Vectors

Affected QGIS version:2.12.2 Regression?: No

Operating System: Arch Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:Yes Copied to github as #: 22171

Description

While trying to "save as..." a CSV or SHP file - QGIS crashes.

When running it through the terminal - i saw the following message: 

[1]    8681 segmentation fault (core dumped)  qgis

Might be related to #14123

History

#1 - 2016-02-04 11:12 AM - Giovanni Manghi

- Category changed from Browser to Vectors

- Status changed from Open to Feedback

Cannot replicate, please attach sample data.

#2 - 2016-02-08 10:54 AM - Gaelic Miko

Hi.

I am also using archlinux and have the same issue with the master from git (2.13) from today (and also last week) using the qgis-git package

So maybe there is some problem with qt / gdal / ...

Are there any suggestions how to debug that?

#3 - 2016-02-09 03:12 AM - Sandro Santilli

Some hints:

 - Check with `ldd` that the same version of libraries are used by qgis and gdal (and there are no duplicates).

 - Run qgis under valgrind and save the report somewhere (will be slooow, but usually helpfu)

#4 - 2016-02-09 03:13 AM - Sandro Santilli

If you're also using sqlite 3.10 I think this could be marked as a duplicate of #14123
#5 - 2016-02-09 11:33 PM - Gaelic Miko

I can confirm that sqlite is the problem. I downgraded it an now I have no problems with 'save as'.

@Shai, can you confirm? I yes we can mark it as duplicate ...

#6 - 2016-02-09 11:35 PM - Gaelic Miko

https://aur.archlinux.org/packages/qgis/ the discussion here also suggest that the problem is solved by downgrading sqlite.

#7 - 2016-02-10 01:14 AM - Giovanni Manghi

- Resolution set to duplicate

- Status changed from Feedback to Closed

duplicate of #14123
